Support Matrix
UFT Developer

Software Version: 23.4

This document, also known as a Product Availability Matrix (PAM), provides information on system requirements, certified and supported operating systems, technologies, and integrations.

These versions are recommended to be used with UFT Developer even if newer or older versions can work and can be compatible with UFT Developer.
Using a version that has not been certified raises the risk of encountering issues. For more details or questions contact our support.

In this topic:

Hardware requirements

To successfully install and run UFT Developer, your computer must meet the minimum hardware requirements listed.

Performance may be improved by using a computer with the recommended system requirements.

The following hardware requirements are relevant for UFT Developer version 23.4.

Hardware Requirement Details
CPU Recommended Quad Core (4 cores) with 4.0 GHz
Memory Recommended

Windows: 8 GB

Linux/Mac: 4 GB

Resolution Minimum 1024 X 768 or higher
Hard Disk Recommended SSD type, 20 GB of free disk space for application files and folders

Back to top

Software requirements

UFT Developer version 23.4 has the following software requirements:

Requirement Details
Operating
Systems

See Operating Systems section

Microsoft Visual C++
2022
Redistributable

The Microsoft Visual C++ 2022 Redistributable is required before installing UFT Developer, included in the prerequisites installer.

This Microsoft Visual C++ 2022 Redistributable requires a Microsoft update:

         Tip: If the installation does not start due to missing KB files, troubleshoot by viewing the VC2022Prerequisite_yyyymmdd_XXXXXX.log file in the %TEMP% directory.

Additional
software
requirements

The following programs are required before installing UFT Developer. If they are not found, the UFT Developer installer will prompt you to install them.

  • .NET Framework 4.8
  • .NET 6.0.3 Desktop Runtime(x64)
  • .NET 6.0.3 Desktop Runtime(x86)
  • Microsoft Access database engine 2016 32bit for UFT One API test execution with UFT Developer

If you plan to use AI features, you need to install or enable the following components. These are not available with the UFT Developer installation files, and must be separately downloaded.

  • Microsoft Media Feature Pack
  • For Windows Server 2012 R2 and later, Microsoft Media Foundation

Node
UFT Developer 23.4

Supported Node.js versions: 16.14.0* - 20.9.0

Java

Java JRE 1.8 or later.

IDE

For installing UFT Developer plugin see IDE's section

Note:
* Notice: UFT Developer shall end support for Node.js 16 from next release on.

Back to top

Operating Systems

UFT Developer runs on the following operating systems both on physical servers and on virtual machines.

Product Version UFT Developer 23.4
Windows Windows Server 2012 R2
Windows Server 2016
Windows Server 2019
Windows Server 2022
Windows 10 (64-bit)
(Version 20H2)
Windows 10 (64-bit)
(Version 21H1)
Windows 10 (64-bit)
(Version 22H2)
Windows 10 (64-bit)
(Version 21H2)
Windows 11 (64-bit)
(Version 21H2)
Windows 11 (64-bit)
(Version 22H2)
Linux Desktop Environment: GNOME RedHat 7 (64-bit)
CentOS 7 (64-bit)
Ubuntu 14.04 LTS (64-bit)
Ubuntu 16.04 LTS (64-bit)
Ubuntu 18.04 LTS (64-bit)
Ubuntu 20.04 LTS (64-bit)
Ubuntu 22.04 LTS (64-bit)
Mac OS Catalina 10.15
Big Sur 11
Monterey 12
Citrix Meta frame Presentation server XenDesktop 7.7

Back to top

SDK

Product Version UFT Developer 23.4
UFT Developer SDKs C# (Windows only)
Java
JavaScript

Back to top

Testing frameworks

Product Version UFT Developer 23.4
NUnit (Windows only) 2.60 – 2.64 ✔*
3.x ✔**
MSTest (Windows only) 1 ✔*
2 ✔**
TestNG 6.9.x
6.14
7.7
JUnit 4
5
Jasmine 2.4.1 - 5.x
Mocha 3.0.2 - 10.x
Cucumber 1.2.5
4.x

Note:
* This framework supports only .NET Framework.
** This framework supports .NET Framework and .NET 5/6/7 (MsTest 2 framework is not supported on Visual Studio 2015).

Back to top

Java

Product Version UFT Developer 23.4
Java JRE Versions ≤ 7
8 – 15
16 - 18 ✔*
19 ✔*

Note:
* Requires specific Java run options. For more information, see the post installation section of the UFT Developer Help Center.

Back to top

IDE

Product Version UFT Developer 23.4
Visual Studio (Windows only)

Community, Professional and Enterprise editions

2013 ✔*
2015 ✔*
2017
2019 (.NET Framework and .NET 5)
2022 (.NET Framework and .NET 5/6/7)
IntelliJ

Community and Ultimate editions

2020.1, 2020.2, 2020.3 ✔*
2021.1, 2021.2
2022.2
2023.1
Eclipse

Eclipse IDE for Java Developers, EE Developers

2020-03 (4.15), 2020-06 (4.16), 2020-09 (4.17), 2020-12 (4.18) ✔*
2021-03, 2021-06, 2021-09 (4.21) ✔**
2022-09 (4.25) ✔**
2023-06 (4.28) ✔**
Spring Tool Suite 3.9.1
4.0.x – 4.8.x
JBoss Developer Studio 12.9.0
CodeReady Developer Studio 12.16
12.17
Android Studio 4, 4.1, 4.2
2020.3.1 (Arctic Fox)
2021.3.1 (Dolphin)

Note:
* Notice: UFT Developer shall end support for the marked IDEs versions from next release on.
** Requires specific Java run options. For more information, see the UFT Developer Help Center.

Back to top

Integration with other OpenText products

This matrix lists the following UFT Developer integrations:

Application Lifecycle Management

Product Version UFT Developer 23.4
ALM 15.0.x
15.5.x
16.0.x
17.0.x

Business Process Testing

Product Version UFT Developer 23.4
BPT With ALM 15.0.x
With ALM 15.5.x
With ALM 16.0.x
With ALM 17.0.x

Functional Testing License Server

Product Version UFT Developer 23.4
AutoPass 11.5.0 - 11.9.x
12.0.1, 12.1.3, 12.3.0
2022.08
2023.02
2023.5

Note:
For earlier versions of AutoPass, please consult support team for more information.

UFT Digital Lab

Product Version UFT Developer 23.4
UFT Digital Lab 23.4
ValueEdge Digital Lab 23.4

Note:
For the integration support versions information, please refer to UFT Digital Lab Integrations Matrix.

UFT One

Product Version UFT Developer 23.4
UFT One 23.4

Note:
Can coexist on the same machine.

Sprinter

Product Version UFT Developer 23.4
Sprinter 23.4

Service Virtualization

For the SV integration information, please refer to Service Virtualization Help Center.

Back to top

UFT Developer Add-ins

This matrix lists data for the following UFT Developer add-ins:

UFT Developer Web Testing

This matrix lists the following support for the UFT Developer Web Testing:

Internet Explorer

As Microsoft retired Internet Explorer on June 15 2022, UFT Developer will cease maintenance for working with Internet Explorer. You can reload Internet Explorer sites with IE mode in Microsoft Edge.

Edge Legacy

Product Version UFT Developer 23.4
Edge Legacy 16.16299
17.17134
18.17763
18.18362

Note:
If Chrome has no internet connection, the UFT Developer extension may not be up to date. You must update the extension to support later Chrome versions.
Notice: UFT Developer shall end support for Legacy Edge from next release on.

Edge Chromium

Product Version UFT Developer 23.4
Edge Chromium 79 – 118
Edge Chromium IE Mode

Chrome

Product Version UFT Developer 23.4
Chrome 31 – 67
68 – 118
Headless Chrome*

Note:
If Chrome has no internet connection, the UFT Developer extension may not be up to date. You must update the extension to support later Chrome versions.
*Only Chrome versions 60 and above provide headless mode.

Default Chrome Driver in UFT Developer Installation

Product Version UFT Developer 23.4
Chrome Driver* 2.40

Note:
*You can replace the default Chrome Driver with another version to meet your testing needs. For details, see the UFT Developer Help Center.

Firefox

Product Version UFT Developer 23.4
Firefox 57 – 118

Safari on Mac

Product Version UFT Developer 23.4
Safari on Mac 6 – 15

PhantomJS

Product UFT Developer 23.4
PhantomJS

Toolkits

Toolkit Version UFT Developer 23.4
AngularJS
Angular 2.x, 4.x
6.x – 15.x
AG Grid
UI-Grid
React
Shadow DOM (Chrome only)
Chromium Embedded Frameworks*

Note:
* Includes Java CEF, CEF Sharp and Adobe CEP.

Back to top

UFT Developer Mobile Testing

Product OS UFT Developer 23.4
Mobile Applications* Native
Hybrid
Web (Supports Chrome on Android Supports Safari on iOS)
Operating systems* Android
iOS

Note:
*For more details about Mobile OS and Mobile Application, see the see the UFT Digital Lab Integrations Matrix.

Back to top

UFT Developer .NET Testing (Windows only)

Support is offered for 32 and 64 applications (excluding Web Forms applications).

This matrix lists the following support for the UFT Developer testing .NET Add-in:

Product Version UFT Developer 23.4
.NET Framework 4.0
4.5.x, 4.6.x, 4.7.x
4.8
.NET 5
6
.NET Controls Windows Forms
Web Forms

Back to top

UFT Developer WPF Testing (Windows only)

Support is offered for 32 and 64 applications (excluding XBAP applications).

This matrix lists the following support for the UFT Developer WPF Testing:

Product Version UFT Developer 23.4
WPF 4.0
4.5.x, 4.6.x, 4.7.x
4.8
Silverlight
.NET 5, 6

Back to top

UFT Developer Java Testing (Windows only)

This matrix lists the following support for the UFT Developer testing Java Add-in:

Oracle Java

Support is offered for 32 and 64 applications

Product Version UFT Developer 23.4
Oracle JDK ≤ 7
8 – 15
16 - 19 ✔*

Note:
* Requires specific Java run options. For more information, see the post installation section of the UFT Developer Help Center.

IBM Java

Product Version UFT Developer 23.4
IBM Java ≤ 7
8

Zulu OpenJDK

Product Version UFT Developer 23.4
Zulu OpenJDK ≤ 7
8 – 15 ✔*
16 - 19 ✔**

Note:
* JavaFX 9 and 10 are not included
** Requires specific Java run options. For more information, see the post installation section of the UFT Developer Help Center.

OpenJDK

Product Version UFT Developer 23.4
OpenJDK ≤ 7
8 – 15
16 - 19 ✔*

Note:
* Requires specific Java run options. For more information, see the post installation section of the UFT Developer Help Center.

Java Oracle Toolkits

Product Version UFT Developer 23.4
Abstract Window Toolkit (AWT) ≤ 7
8 - 18
Swing ( JFC) ≤ 7
8 - 18
JavaFX ≤ 7
8 - 18
Eclipse
SWT
3.2 – 3.8
4.2 – 4.21

Back to top

UFT Developer MainFrame Solutions Testing (Windows only)

This matrix lists the following support for the UFT Developer MainFrame Solutions Testing:

Supported Protocols

Protocol UFT Developer 23.4
3270*(HLLAPI) ✔*
5250 (HLLAPI)
VT100 ( text recognition)

Note:
*Support for 3270 is highlighted specifically for each TE in the section below.

Supported Terminal Emulators

Product Version UFT Developer 23.4
Micro Focus Attachmate Extra 9.0, 9.1, 9.2, 9.3, 9.3.1(2612), 9.4, 9.5
Micro Focus Reflections 16.1
16.2
17
Micro Focus Web-to-Host 6.90
OpenText HostExplorer 10
12 (2007)
14 (64bit)
15 (32bit, 64bit)
IBM Personal Communications (PCOM) 5.9
6.00
12.00 – 14.00
IBM WebSphere Host on Demand 8.00
10.00 – 12.00
IBM Client Access 64 bit
Micro Focus Rumba+ Desktop 8.1, 8.2
9.2, 9.3, 9.4, 9.5
10
Zephyr Passport PC TO HOST & WEB TO HOST 2004.00
2007.00
Seagull
BlueZone
(3270)
3.20
4.00
5.00
6.X
Attachmate
WRQ Reflection
8.00 – 12.00
14.00
16.00 P1 (3270)
HPE Teem Talk 7.20
Putty Any
TCPLink 3.50-01 (3270)

Back to top

UFT Developer Oracle Testing (Windows only)

This matrix lists the following support for the UFT Developer testing Oracle Add-in:

Product Version UFT Developer 23.4
Oracle Forms 12c
Oracle applications – E-business Suite 12.2.7 – 12.2.10 ✔*

Note:
* Java Web Start using JNLP is supported using JRE 8 Update 121 32-bit/64-bit and above.

Back to top

UFT Developer Power Builder Testing (Windows only)

This matrix lists the following support for the UFT Developer testing Power Builder Add-in:

Product Version UFT Developer 23.4
Power Builder (32 & 64-bit) 12.60
2019

Back to top

UFT Developer SAP Solutions Testing

This matrix lists the following support for the UFT Developer testing Sap Add-in:

Product Version UFT Developer 23.4
SAPUI5 1.38
1.71
1.78* ✔*
1.108
SAPGUI (Windows only) 7.60* ✔*
7.70
8.00

Note:
* These versions are out of maintenance and not supported by SAP. You may get more detail from SAP.

Back to top

Selenium UFT Developer support

This matrix lists data for the following Selenium UFT Developer support:

Operating systems

See Operating Systems.

IDEs

Product Version UFT Developer 23.4
IntelliJ

Community and Ultimate editions

2020.1, 2021.2, 2020.3
2021.1, 2021.2
2022.2
Eclipse

Eclipse IDE for Java Developers, EE Developers

2020-03 (4.15), 2020-06 (4.16), 2020-09 (4.17), 2020-12 (4.18) ✔*
2021-03, 2021-06, 2021-09 (4.21) ✔**
2022-09 (4.25) ✔**
Spring Tool Suite 3.9.1
4.0.x – 4.8.x
JBoss Developer Studio 12.9.0
CodeReady Developer Studio 12.16
12.17

Note:
* AppModel Item and SV JXBrowser might fail in case of OpenJDK and Linux environment. For more information, see the UFT Developer Help Center.
** Requires specific Java run options. For more information, see the post installation section of the UFT Developer Help Center.

Back to top

Browser and WebDriver support

Product Version UFT Developer 23.4
Edge Legacy(Windows only) 16 – 18
Edge Chromium(Windows only) 79 – 110
Firefox 57 – 110
Chrome

ChromeDriver 2.40 and above

68 – 110
PhantomJS 2.1.1
Safari (Mac only) – Execution only

WebDriver 2.44 and above

13
14

Selenium versions

Product Version UFT Developer 23.4
Selenium versions 2.53
3.5
3.6.0
3.7.0
3.141.59

Back to top




Visit the Product Support Lifecycle table for release details and dates. The Product Support Lifecycle policy defines the level of support OpenText provides for each product version.

Copyright Notice

© Copyright 2015 - 2023 Open Text

The only warranties for products and services of Open Text and its affiliates and licensors (“Open Text”) are as may be set forth in the express warranty statements accompanying such products and services. Nothing herein should be construed as constituting an additional warranty. Open Text shall not be liable for technical or editorial errors or omissions contained herein. The information contained herein is subject to change without notice.